> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1prices

> List prices



## OpenAPI

````yaml get /v1/prices
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/prices:
    get:
      tags:
        - Prices
      description: List prices
      parameters:
        - schema:
            type: string
            example: MOBIL_PROTECT
          required: true
          name: policy_type
          in: query
      responses:
        '200':
          description: List prices
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Price'
        '401':
          description: Authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    Price:
      type: array
      items:
        type: object
        properties:
          price_id:
            type: string
            minLength: 1
            example: price_2c1x7V4r47ynM4RABVm1Co0UKkG
          plan:
            type: object
            properties:
              plan_id:
                type: string
                minLength: 1
                example: plan_2c1x7V4r47ynM4RABVm1Co0UKkG
              status:
                type: string
                enum:
                  - ACTIVE
                  - ARCHIVED
                  - DELETED
                example: ACTIVE
              policy_type:
                type: string
                enum:
                  - CLASSIC_SAVINGS
                  - EDUCATIONAL_FORESIGHT
                  - MOBIL_PROTECT
                  - PENSION_SAVINGS
                example: EDUCATIONAL_FORESIGHT
              policy_type_name:
                type: string
            required:
              - plan_id
              - status
              - policy_type
              - policy_type_name
          currency:
            type: number
            example: 1000
          interval:
            type: object
            properties:
              count:
                type: number
              single:
                type: string
              period:
                type: string
              interval:
                type: string
              description:
                type: string
            required:
              - count
              - single
              - period
              - interval
              - description
          unit_amount:
            type: number
            example: 1000
          estimated_capital_amount:
            type: number
            example: 1000
          accidental_death_capital:
            type: number
            example: 1000
          contribution_at_the_end_amount:
            type: number
            example: 1000
        required:
          - price_id
          - plan
          - currency
          - interval
          - unit_amount
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````